package com.silastandard.gateway.monitoring_configuration.server.monitoring.models.client_message_types;

public class CreateBinaryUploadRequest {
    public static final String NAME = "CreateBinaryUploadRequest";
    public static final String TYPE = " <DataType> <Structure> <Element> <Identifier>BinarySize</Identifier> <DisplayName>Binary Size</DisplayName> <Description>Storage space is allocated based on the Binary Size.</Description> <DataType> <Basic>Integer</Basic> </DataType> </Element> <Element> <Identifier>ChunkSize</Identifier> <DisplayName>Chunk Size</DisplayName> <Description>The size of the chunks to define on how many Binary Chunks the Binary will be divided in.</Description> <DataType> <Basic>Integer</Basic> </DataType> </Element> <Element> <Identifier>ParameterIdentifier</Identifier> <DisplayName>Parameter Identifier</DisplayName> <Description>Fully Qualified Command Parameter Identifier that the uploaded data is going to be used for.</Description> <DataType> <Constrained> <DataType> <Basic>String</Basic> </DataType> <Constraints> <FullyQualifiedIdentifier>CommandIdentifier</FullyQualifiedIdentifier> </Constraints> </Constrained> </DataType> </Element> </Structure> </DataType>";
}